@tool
extends HBoxContainer

@onready var _time_label = $TimeLabelControl/TimeLabel

@export var height : int:
	set(new_height):
		height = new_height
		await ready
		set_height(height)

var _height : int

func set_time(hour):
	_time_label.text = str(hour) + ":00"

func get_height():
	return _height

func set_height(new_height):
	if _height != new_height:
		_height = new_height
		custom_minimum_size.y = _height
